Skip to Store Area:

Welcome to JRRshop.com!

You have no items in your shopping cart.


You're currently on:

+ Click images to enlarge

PSP RetroQ EQ Plugin

Email to a Friend

Be the first to review this product

Manufacturer

Availability: Immediate email delivery.

$59.00
Add Items to Cart

Quick Overview

Download License! Email Delivery!

PSP

Mac & PC64 bit

 

RetroQ offers PSP’s unique take on a musical equalizer with unique sonic character and low phase distortion. This makes RetroQ sound smooth and musically natural. Its shelf filters are based on fabulous-sounding VintageWarmer’s filters and RetroQ’s addition of a mid-range filter is designed using the same internal architecture. An adjustable high pass filter is added to make the plug-in a complete program equalizer. It was optimized for use on groups and mixes but it is equally at home in any situation in which you desire some gentle sweetening in your overall processing chain.

 

Press 

Yes, there are a lot of EQ plug ins out there. But PSP EQs have good sound at a very affordable price. Add to it the fact that the limited frequency selection some titles narrow 'the world of endless twidlling', forcing you to pick a frequency and move on! - just like many of our analog consoles. (...) I wholeheartedly suggest readers try the free demo available from the PSP website.
Garrett Haines, TapeOp

Most DAWs already come with one or more equaliser plug-ins, but PSP equalisers do manage to capture that elusive warm and cuddly analogue vibe, and that's what you're paying for here.
Paul White, Sound on Sound

Four distinct flavours of EQ. Stunningly combats digital sterility. Beautiful interfaces. Easy to use. Light on your CPU.
Computer Music, Music Radar

 

Minimum System Requirements

 

PC

VST

Windows x32 or x64 (XP Service Pack 2, Vista or 7)
VST 2.4 compatible application

RTAS

Windows x32 or x64 (XP Service Pack 2, Vista or 7)
ProTools LE 8.0.0 or ProTools TDM 8.0.0 (or later)

AAX

Windows x32 or x64 (XP Service Pack 2, Vista or 7)
Pro Tools 10 or Pro Tools 11 (or later)

 

Mac (intel)

AudioUnit

Mac OSX 10.5 or later
32 or 64-bit host application capable of running AudioUnit plug-ins with Cocoa view

VST

Mac OSX 10.5 or later
32 or 64-bit VST 2.4 compatible host application

RTAS

Mac OSX 10.5 or later
ProTools LE 8.0.0 or ProTools TDM 8.0.0 (or later)

AAX

Mac OSX 10.8 or later
Pro Tools 11 or later

 

*If you are using an older operating system please contact us to get access to previous versions of the product compatible with earlier systems.

Variant1
SpecialsMar 20, 2020